Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content
Interface ContentManager

All Superinterfaces:
  EJBObject, Remote

All Known Subinterfaces:
  DocumentManager

public interface ContentManager
extends EJBObject

A front-end session bean for dealing with Content.

See Also:
  `ContentManagerHome`

Method Summary
`Enumeration` | `getContent(Search params)` Deprecated. Get an Enumeration of Content objects that match the search parameters.
`Enumeration` | `getContent(Search params, boolean readOnly)` Deprecated. Use getContent(Search) instead
`Collection` | `getContentIds(Search params)` Deprecated. Get a collection of string content ids that match the search parameters.
`PropertySet` | `getPropertySet(String name)` Deprecated. Get a named content PropertySet from this manager.
`String[]` | `getPropertySetNames()` Deprecated. Get the list of all property set names known by this manager.
`Map` | `getPropertySets()` Deprecated. Get a map of property set name to PropertySet of all content PropertySets from this manager.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getContent

    public Enumeration getContent(Search params)
                           throws RemoteException

  Deprecated.
  Get an Enumeration of Content objects that match the search parameters.

  Parameters:
    `params` - the search paramters.
  Returns:
    the enumeration of matching Content objects.
  Throws:
    `RemoteException` - thrown on an error.

### getContent

    public Enumeration getContent(Search params,
                                  boolean readOnly)
                           throws RemoteException

  Deprecated. Use getContent(Search) instead

  Get an Enumeration of Content object that match the seach parameters.

  Parameters:
    `params` - the search paramters.
    `readOnly` - true to return read-only version of the Content objects, false to return the live EJBs.
  Returns:
    the enumeration of matching Content objects.
  Throws:
    `RemoteException` - thrown on an error.

### getContentIds

    public Collection getContentIds(Search params)
                             throws RemoteException

  Deprecated.
  Get a collection of string content ids that match the search parameters.

  Parameters:
    `params` - the search paramters.
  Returns:
    the collection of matching string content ids.
  Throws:
    `RemoteException` - thrown on an error.

### getPropertySet

    public PropertySet getPropertySet(String name)
                               throws RemoteException

  Deprecated.
  Get a named content PropertySet from this manager.

  Throws:
    `RemoteException` - thrown on an error.

### getPropertySetNames

    public String[] getPropertySetNames()
                                 throws RemoteException

  Deprecated.
  Get the list of all property set names known by this manager.

  Throws:
    `RemoteException` - thrown on an error.

### getPropertySets

    public Map getPropertySets()
                        throws RemoteException

  Deprecated.
  Get a map of property set name to PropertySet of all content PropertySets from this manager.

  Throws:
    `RemoteException` - thrown on an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved